CREATE TABLE doo_wait_task_details (
    WAIT_TASK_DETAIL_ID      NUMBER(18, 0) ,
    TASK_INSTANCE_ID         NUMBER(18, 0)     NOT NULL,
    GROUP_ID                 NUMBER(18, 0)     NOT NULL,
    WAIT_BITSET              NUMBER(4, 0)  ,
    WAIT_VALUES              VARCHAR2(4000),
    EXIT_VALUES              VARCHAR2(4000)    NOT NULL,
    STATUS_CODE              VARCHAR2(120) ,
    CORRELATION_ID           VARCHAR2(400) ,
    CREATION_DATE            TIMESTAMP(6)      NOT NULL,
    CREATED_BY               VARCHAR2(256)     NOT NULL,
    LAST_UPDATE_DATE         TIMESTAMP(6)      NOT NULL,
    LAST_UPDATED_BY          VARCHAR2(256)     NOT NULL,
    LAST_UPDATE_LOGIN        VARCHAR2(128) ,
    OBJECT_VERSION_NUMBER    NUMBER(9, 0)      NOT NULL,
    EXECUTION_MODE           VARCHAR2(4)       NOT NULL,
    WAIT_TASK_DETAIL_ID      NUMBER(18, 0) ,
    TASK_INSTANCE_ID         NUMBER(18, 0)     NOT NULL,
    GROUP_ID                 NUMBER(18, 0)     NOT NULL,
    WAIT_VALUES              VARCHAR2(4000),
    EXIT_VALUES              VARCHAR2(4000)    NOT NULL,
    STATUS_CODE              VARCHAR2(120) ,
    CREATION_DATE            TIMESTAMP(6)      NOT NULL,
    CREATED_BY               VARCHAR2(256)     NOT NULL,
    LAST_UPDATE_DATE         TIMESTAMP(6)      NOT NULL,
    LAST_UPDATED_BY          VARCHAR2(256)     NOT NULL,
    LAST_UPDATE_LOGIN        VARCHAR2(128) ,
    OBJECT_VERSION_NUMBER    NUMBER(9, 0)      NOT NULL,
    WAIT_BITSET              NUMBER(4, 0)  ,
    CORRELATION_ID           VARCHAR2(400) ,
    EXECUTION_MODE           VARCHAR2(4)       NOT NULL,
    CONSTRAINT pk_doo_wait_task_details PRIMARY KEY (WAIT_TASK_DETAIL_ID, WAIT_TASK_DETAIL_ID)
);
